> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vultlocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh access token

> Issues a new access token using a valid refresh token



## OpenAPI

````yaml /olive-openapi.json post /admin/refresh
openapi: 3.0.0
info:
  description: >-
    API Gateway for OLIVE NFC Card Payment System - Comprehensive payment, card
    management, agent operations, and admin authentication. All /api/v1 routes
    require authentication using either API Key or JWT token.
  title: OLIVE NFC Card Payment API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    email: support@olive.sl
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://olive-gateway-a6ba.onrender.com/api/v1
security: []
paths:
  /admin/refresh:
    post:
      tags:
        - Admin
      summary: Refresh access token
      description: Issues a new access token using a valid refresh token
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/handler.RefreshTokenRequest'
        description: Refresh token
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.LoginResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
components:
  schemas:
    handler.RefreshTokenRequest:
      type: object
      required:
        - refresh_token
      properties:
        refresh_token:
          type: string
    handler.LoginResponse:
      type: object
      properties:
        expires_at:
          type: integer
        refresh_expires_at:
          type: integer
        refresh_token:
          type: string
        success:
          type: boolean
        token:
          type: string
        user:
          $ref: '#/components/schemas/handler.UserInfo'
    handler.UserInfo:
      type: object
      properties:
        account_id:
          description: For processors
          type: string
        agent_id:
          type: string
        created_at:
          type: string
        email:
          type: string
        first_name:
          type: string
        id:
          type: string
        last_login_at:
          type: string
        last_name:
          type: string
        name:
          description: For processors
          type: string
        pep_access_authorized:
          type: boolean
        phone_number:
          type: string
        role:
          type: string
        status:
          type: string
        user_type:
          description: '"admin" or "processor"'
          type: string

````